Bug 159481 - USB mass storage device at /dev/sda1 isn't mountable: "no medium found"
USB mass storage device at /dev/sda1 isn't mountable: "no medium found"
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-02 16:36 EDT by Adam Monsen
Modified: 2015-01-04 17:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 17:46:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from dmesg after plugging in the camera (741 bytes, text/plain)
2005-06-06 13:49 EDT, Adam Monsen
no flags Details

  None (edit)
Description Adam Monsen 2005-06-02 16:36:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
HAL recognizes my digital camera (I see good stuff in /var/log/messages when it's plugged in), but I'm unable to mount it; when I try "mount -t vfat /dev/sda1 /mnt/test', I get "no medium found".

Version-Release number of selected component (if applicable):
hal-0.5.2-2

How reproducible:
Always

Steps to Reproduce:
1. plug in USB mass-storage compatible digital camera
2. try to mount the device
  

Actual Results:  mount returns "no medium found".

Expected Results:  The device should be properly mounted and the information on the FAT-formatted SD  Flash card should be browseable.

Additional info:

* other USB mass storage devices seem to work properly. I plugged in a drive enclosure containing a 300 GB hard drive via USB, and it was detected and immediately accessible via Nautilus (showed up after clicking on Computer)
* this camera works properly when plugged in to a Fedora Core 2 box I have (although I think I did have to add a line to my /etc/updfstab.conf, a file that doesn't seem to exist post-HAL)
* this camera works properly when plugged in to a Windows XP Box or an iMac box
Comment 1 Adam Monsen 2005-06-02 16:43:25 EDT
[root@localhost ~]# mount -t vfat /dev/sda1 /mnt/test/
mount: No medium found

relevant output from lsusb -v...

Bus 002 Device 007: ID 04da:2373 Panasonic (Matsushita) 
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0         8
  idVendor           0x04da Panasonic (Matsushita)
  idProduct          0x2373 
  bcdDevice            0.10
  iManufacturer           1 LEICA
  iProduct                2 Digilux 1
  iSerial                 0 
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           46
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xc0
      Self Powered
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           4
      bInterfaceClass         8 Mass Storage
      bInterfaceSubClass      6 SCSI
      bInterfaceProtocol     80 Bulk (Zip)
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x01  EP 1 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x83  EP 3 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0002  1x 2 bytes
        bInterval             255
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x84  EP 4 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0002  1x 2 bytes
        bInterval             255


kernel version is 2.6.11-1.1366_FC4. I got it from here:
http://mirrors.kernel.org/fedora/core/development/i386/Fedora/RPMS/kernel-2.6.11-1.1366_FC4.i686.rpm

Here's the output of uname -a:
Linux localhost.localdomain 2.6.11-1.1366_FC4 #1 Sun May 29 23:58:27
EDT 2005 i686 i686 i386 GNU/Linux

Here's what dmesg gives after plugging in the camera:

usb 2-1: new full speed USB device using uhci_hcd and address 7
scsi5 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 7
usb-storage: waiting for device to settle before scanning
  Vendor: LEICA     Model: Digilux 1         Rev: 0050
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sda: 499713 512-byte hdwr sectors (256 MB)
sda: Write Protect is off
sda: Mode Sense: 04 00 00 00
sda: assuming drive cache: write through
SCSI device sda: 499713 512-byte hdwr sectors (256 MB)
sda: Write Protect is off
sda: Mode Sense: 04 00 00 00
sda: assuming drive cache: write through
 sda: sda1
Attached scsi removable disk sda at scsi5, channel 0, id 0, lun 0
usb-storage: device scan complete

here's some relevant-looking stuff from lshal -i ...

udi = '/org/freedesktop/Hal/devices/storage_model_Digilux_1'
  info.addons = {'hald-addon-storage'} (string list)
  storage.policy.should_mount = true  (bool)
  block.storage_device = '/org/freedesktop/Hal/devices/storage_model_Digilux_1'
 (string)
  info.udi = '/org/freedesktop/Hal/devices/storage_model_Digilux_1'  (string)
  storage.requires_eject = false  (bool)
  storage.hotpluggable = true  (bool)
  info.capabilities = {'storage', 'block'} (string list)
  info.category = 'storage'  (string)
  info.product = 'Digilux 1'  (string)
  info.vendor = 'LEICA'  (string)
  storage.removable = true  (bool)
  storage.physical_device =
'/org/freedesktop/Hal/devices/usb_device_4da_2373_noserial_if0'  (string)
  storage.lun = 0  (0x0)  (int)
  storage.drive_type = 'disk'  (string)
  storage.vendor = 'LEICA'  (string)
  storage.model = 'Digilux 1'  (string)
  storage.automount_enabled_hint = true  (bool)
  storage.media_check_enabled = true  (bool)
  storage.no_partitions_hint = false  (bool)
  storage.bus = 'usb'  (string)
  block.is_volume = false  (bool)
  block.minor = 0  (0x0)  (int)
  block.major = 8  (0x8)  (int)
  block.device = '/dev/sda'  (string)
  linux.hotplug_type = 3  (0x3)  (int)
  info.parent =
'/org/freedesktop/Hal/devices/usb_device_4da_2373_noserial_if0_scsi_host_scsi_device_lun0'
 (string)
  linux.sysfs_path_device = '/sys/block/sda'  (string)
  linux.sysfs_path = '/sys/block/sda'  (string)

udi = '/org/freedesktop/Hal/devices/usb_device_4da_2373_noserial_if0'
  info.udi = '/org/freedesktop/Hal/devices/usb_device_4da_2373_noserial_if0' 
(string)
  linux.subsystem = 'usb'  (string)
  linux.hotplug_type = 1  (0x1)  (int)
  info.product = 'USB Mass Storage Interface'  (string)
  usb.interface.protocol = 80  (0x50)  (int)
  usb.interface.subclass = 6  (0x6)  (int)
  usb.interface.class = 8  (0x8)  (int)
  usb.interface.number = 0  (0x0)  (int)
  info.linux.driver = 'usb-storage'  (string)
  usb.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.4/usb2/2-1/2-1:1.0'
 (string)
  usb.configuration_value = 1  (0x1)  (int)
  usb.num_configurations = 1  (0x1)  (int)
  usb.num_interfaces = 1  (0x1)  (int)
  usb.device_class = 0  (0x0)  (int)
  usb.device_subclass = 0  (0x0)  (int)
  usb.device_protocol = 0  (0x0)  (int)
  usb.vendor_id = 1242  (0x4da)  (int)
  usb.product_id = 9075  (0x2373)  (int)
  usb.vendor = 'Panasonic (Matsushita)'  (string)
  usb.product = 'USB Mass Storage Interface'  (string)
  usb.device_revision_bcd = 16  (0x10)  (int)
  usb.max_power = 0  (0x0)  (int)
  usb.num_ports = 0  (0x0)  (int)
  usb.linux.device_number = 7  (0x7)  (int)
  usb.speed_bcd = 4608  (0x1200)  (int)
  usb.version_bcd = 272  (0x110)  (int)
  usb.is_self_powered = true  (bool)
  usb.can_wake_up = false  (bool)
  usb.bus_number = 2  (0x2)  (int)
  info.bus = 'usb'  (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_4da_2373_noserial' 
(string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:1f.4/usb2/2-1/2-1:1.0'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.4/usb2/2-1/2-1:1.0' 
(string)
Comment 2 David Zeuthen 2005-06-06 10:53:28 EDT
This looks like a bug with the usb-storage driver. Reassigning to kernel.
Comment 3 Pete Zaitcev 2005-06-06 12:13:37 EDT
I'd like to see the dmesg after the mount attempt. Please do not
drop it into comments box.
Comment 4 Adam Monsen 2005-06-06 13:49:14 EDT
Created attachment 115170 [details]
output from dmesg after plugging in the camera
Comment 5 Adam Monsen 2005-06-06 13:52:02 EDT
Oops, sorry, I misread your comment.

There is nothing additional in dmesg after the mount attempt.
Comment 6 Pete Zaitcev 2005-07-06 15:40:30 EDT
The difficulty is that last working data point is FC2, which is way too far.
How about this... Try to get the FC3 original kernel, it's still on
download.fedora.redhat.com somewhere. It will install with warnings
but we only need it for testing anyway. Check if that works.
This will cut the diff in half. We'll see from there...

Also, it's possible to try newest and greatest from Rawhide, but if
they do not work, it adds no new information about the failure.
Comment 7 Knut Forkalsrud 2005-07-06 16:29:19 EDT
The same symptoms persist in  2.6.11-1.1369_FC4


/var/log/messages:

Jul  6 12:04:48 darkstar kernel: Initializing USB Mass Storage driver...
Jul  6 12:04:48 darkstar kernel: usbcore: registered new driver usb-storage
Jul  6 12:04:48 darkstar kernel: USB Mass Storage support registered.
Jul  6 12:05:03 darkstar kernel: usb 2-1: new full speed USB device using
uhci_hcd and address 2
Jul  6 12:05:03 darkstar kernel: scsi2 : SCSI emulation for USB Mass Storage devices
Jul  6 12:05:08 darkstar kernel:   Vendor: LEICA     Model: Digilux 1        
Rev: 0050
Jul  6 12:05:08 darkstar kernel:   Type:   Direct-Access                     
ANSI SCSI revision: 02
Jul  6 12:05:08 darkstar kernel: SCSI device sdb: 494081 512-byte hdwr sectors
(253 MB)
Jul  6 12:05:08 darkstar kernel: sdb: Write Protect is off
Jul  6 12:05:08 darkstar kernel: sdb: assuming drive cache: write through
Jul  6 12:05:08 darkstar kernel: SCSI device sdb: 494081 512-byte hdwr sectors
(253 MB)
Jul  6 12:05:08 darkstar kernel: sdb: Write Protect is off
Jul  6 12:05:08 darkstar kernel: sdb: assuming drive cache: write through
Jul  6 12:05:08 darkstar kernel:  sdb: sdb1
Jul  6 12:05:08 darkstar kernel: Attached scsi removable disk sdb at scsi2,
channel 0, id 0, lun 0
Jul  6 12:05:08 darkstar scsi.agent[12480]: disk at
/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1:1.0/host2/target2:0:0/2:0:0:0


dmesg:

Initializing USB Mass Storage driver...
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
usb 2-1: new full speed USB device using uhci_hcd and address 2
scsi2 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 2
usb-storage: waiting for device to settle before scanning
  Vendor: LEICA     Model: Digilux 1         Rev: 0050
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sdb: 494081 512-byte hdwr sectors (253 MB)
sdb: Write Protect is off
sdb: Mode Sense: 04 00 00 00
sdb: assuming drive cache: write through
SCSI device sdb: 494081 512-byte hdwr sectors (253 MB)
sdb: Write Protect is off
sdb: Mode Sense: 04 00 00 00
sdb: assuming drive cache: write through
 sdb: sdb1
Attached scsi removable disk sdb at scsi2, channel 0, id 0, lun 0
usb-storage: device scan complete



Mounting fails:
mount -t vfat /dev/sdb1 /mnt/usbstorage
mount: No medium found





Some searching around the net suggests that this is a peculiarity of the
Panasonic/Matsushita hardware in question.  Se for example this other
question/bug:  http://lists.debian.org/debian-user/2004/01/msg05191.html

The resolution appears to be detailed in the mail thread here:
http://marc.theaimsgroup.com/?t=107298347700003&r=1&w=2

From what I can comprehend there are some usb commands for PREVENT/ALLOW MEDIUM
REMOVAL that may incorrectly be interpreted by this hardware as unload/eject
commands.  There is also a proposed patch in the email thread which appears to
have been successful for the users in question.
Comment 8 Adam Monsen 2005-07-20 19:56:13 EDT
I no longer have my Leica, so I'm unable to try your suggestions, Pete. :(
Sorry, I just sold it and hope to replace it with a smaller camera that works
better with Linux.

Knut, would you mind testing this out for Pete?
Comment 9 Dave Jones 2006-10-16 17:59:17 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 10 Dave Jones 2006-11-24 17:46:56 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.